Bug 46132 - ripping audio CDs with a Sony CD-ROM CDU-5211 fails.
ripping audio CDs with a Sony CD-ROM CDU-5211 fails.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: cdparanoia (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-26 22:25 EDT by AirBete
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-06 16:39:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description AirBete 2001-06-26 22:25:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i686)

Description of problem:
The problem is that my
hda: ATAPI 52X CD-ROM drive, 120kB Cache, UDMA(33)
have problems ripping a particular audio CD-R when using cdparanoia and
cdda2wav.

The same CD-ROM drive with the same CD-R under Windows shows no problems.
The same CD-R with another CD-ROM under linux shows no problems.
Playing the CD directly from the Sony drive shows no problems.

I conclude that the drive & the CD are OK.

I suspect the problem being in the driver/kernel


How reproducible:
Always

Steps to Reproduce:
1. boot RH7.1 2.4.3-12
2. Insert CD-R in Sony CD-ROM drive CDU-5211
3. > cdparanoia 1 tmp.wav
or
3. > cdda2wav -D /dev/cdrom -x -t 1 tmp.wav
or
3. > grip
4.  Select track 1 / rip only (using built-in paranoia or anything else)
	

Actual Results:  What the symptoms are:

The ripping program seems to try forever to start ripping. Green light on
the CD drive shows activity, but no progress is made. The kernel then
outputs to the syslog these kind of messages:

Jun 26 22:05:56 localhost kernel: hda: packet command error: status=0x51 {
DriveReady SeekComplete Error }
Jun 26 22:05:56 localhost kernel: hda: packet command error: error=0x54
Jun 26 22:05:56 localhost kernel: ATAPI device hda:
Jun 26 22:05:56 localhost kernel:   Error: Illegal request -- (Sense
key=0x05)
Jun 26 22:05:56 localhost kernel:   Illegal mode for this track or
incompatible medium -- (asc=0x64, ascq=0x00)
Jun 26 22:05:56 localhost kernel:   The failed "Read CD" packet command
was:
Jun 26 22:05:56 localhost kernel:   "be 04 00 00 00 0e 00 00 08 f8 00 00 "
Jun 26 22:05:58 localhost kernel: hda: packet command error: status=0x51 {
DriveReady SeekComplete Error }
Jun 26 22:05:58 localhost kernel: hda: packet command error: error=0x54
Jun 26 22:05:58 localhost kernel: ATAPI device hda:
Jun 26 22:05:58 localhost kernel:   Error: Illegal request -- (Sense
key=0x05)
Jun 26 22:05:58 localhost kernel:   Illegal mode for this track or
incompatible medium -- (asc=0x64, ascq=0x00)
Jun 26 22:05:58 localhost kernel:   The failed "Read CD" packet command
was:
Jun 26 22:05:58 localhost kernel:   "be 04 00 00 00 0e 00 00 08 f8 00 00 "

And it goes like that forever.


Expected Results:  I would have expected track 1 to be ripped on a file
called tmp.wav

Additional info:

I have disabled "automount", "autorun" and removed "magicdev" with no
success.

Note You need to log in before you can comment on or make changes to this bug.